Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class RC2Parameters

    java.lang.Object
      org.bouncycastle.crypto.params.RC2Parameters

All Implemented Interfaces:
  CipherParameters

    public class RC2Parameters

extends java.lang.Object
implements CipherParameters

Constructor Summary
`RC2Parameters(byte[] key)`
`RC2Parameters(byte[] key, int bits)`

Method Summary
`int` | `getEffectiveKeyBits()`
`byte[]` | `getKey()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RC2Parameters

    public RC2Parameters(byte[] key)

### RC2Parameters

    public RC2Parameters(byte[] key,
                         int bits)

Method Detail

### getKey

    public byte[] getKey()

### getEffectiveKeyBits

    public int getEffectiveKeyBits()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD